# Poco

# template < class TArgs, class TMutex = FastMutex >

# class PriorityEvent

Library: Foundation
Package: Events
Header: Poco/PriorityEvent.h

## Description

A PriorityEvent uses internally a PriorityStrategy which invokes delegates in order of priority (lower priorities first). PriorityEvent's can only be used together with PriorityDelegate's. PriorityDelegate's are sorted according to the priority value, when two delegates have the same priority, they are invoked in an arbitrary manner.

## Inheritance

Direct Base Classes: AbstractEvent < TArgs, PriorityStrategy < TArgs, AbstractPriorityDelegate < TArgs > >, AbstractPriorityDelegate < TArgs >, TMutex >

All Base Classes: AbstractEvent < TArgs, PriorityStrategy < TArgs, AbstractPriorityDelegate < TArgs > >, AbstractPriorityDelegate < TArgs >, TMutex >

## Constructors

### PriorityEvent

PriorityEvent();

## Destructor

### ~PriorityEvent

~PriorityEvent();